Bug 154286

Summary: greeter program crashes sometimes when restarting
Product: [Fedora] Fedora Reporter: Ricky Ng-Adam <rngadam>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: iamaluddite, mlists
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 06:52:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 158504    
Attachments:
Description Flags
debug output
none
cat /var/log/messages | grep gdm
none
grep gdm /var/log/messages, gdm debug enabled none

Description Ricky Ng-Adam 2005-04-09 00:51:04 UTC
Description of problem:

When trying to restart X at the GDM login with CTRL-ALT-BACKSPACE I sometime get:

"The greeter program appears to be crashing.
I will attempt to use a different one."

Version-Release number of selected component (if applicable):

gdm-2.6.0.8-1

How reproducible:

semi-consistent

Steps to Reproduce:
1. Get to the login screen
2. CTRL-ALT-BACKSPACE
3.
  
Actual results:

warning message

Expected results:

correctly restart X all the times

Additional info:

Comment 1 Nicolas Mailhot 2005-05-21 12:22:58 UTC
I have the same problem except it's fully consistent here.

Themed greeter always crashes (on boot, logout, etc) then I get the restart
popup, then the non-svg greeter is displayed

gdm-2.6.0.8-15


Comment 2 Ray Strode [halfline] 2005-05-23 04:38:43 UTC
Can you attach your /etc/X11/gdm.conf file please?  Also, would you mind setting
enable=true in the [debug] section of the conf file, restarting and then
attaching your /var/log/messages file?



Comment 4 drago01 2005-06-18 10:30:58 UTC
I have the same problem.
I will attach a /var/log/messages file with debug enabled.

Comment 5 drago01 2005-06-18 10:35:05 UTC
Created attachment 115652 [details]
debug output

Here is the /var/log/messages file with the debug infos.

Comment 6 drago01 2005-06-20 17:17:35 UTC
Created attachment 115705 [details]
cat /var/log/messages | grep gdm

This attachment is smaller and only includes gdm messages.
I also tried with early-login and it keeps crashing.

Comment 7 Dave Jenkins 2005-07-26 10:45:41 UTC
Created attachment 117150 [details]
grep gdm /var/log/messages, gdm debug enabled

I have this problem too.
FC4
gdm-2.6.0.8-16
Intermittent: perhaps 5-10% of restarts overall. Since doing a yum update
yesterday morning, the greeter has crashed on 2/2 restarts.

Comment 8 drago01 2005-07-26 11:09:48 UTC
on my new box 64bit fc4 x86_64 this does not happen..
old box 32bit fc4 i386 still buggy (both have same config )

Comment 9 Dave Jenkins 2005-07-27 11:37:36 UTC
My instance of the problem has become much worse since my yum update on 25th
July. The themed Fedora login screen now crashes almost every time I boot or
logout. One of the following then happens:
(1) I get the dialog saying "The greeter program appears to be crashing. I will
attempt to use a different one." Followed by the grey login box.
(2) The themed login screen appears on a second attempt.
(3) Two failures occur and I am left with a blank screen with an X cursor.
I suspect that a more fundamental problem is at work here, as I am also unable
to switch from a virtual console back to X with Ctrl-Atl-F7: instead of
returning me to my desktop, this kills my X session and returns me either to (2)
or (3).

Please advise if I should file this as a separate bug report.

I get the same behaviour with various versions of xorg-x11.

Just a thought - is there any code in gdm that relies on volatile casts, that
may therefore fall victim to the gcc 4.0.0 optimisation bug, as in bug #161242 ?

Comment 10 Ray Strode [halfline] 2005-07-27 13:45:36 UTC
Hi Dave,

For now, let's just keep it on one bug.  When I fix this bug, we'll see if the
problem goes away for you, and if it doesn't we can do another bug report if
necessary.


Comment 11 Dave Jenkins 2005-07-29 12:28:40 UTC
I tried building and installing my own gdm rpm from gdm-2.6.0.8-16.src.rpm using
gcc-4.0.1-4.fc4, in case this was a gcc 4.0.0 optimisation issue. This did not
solve the problem, however.

In case it is relevant, I am currently using Xavier Bachelot's Unichrome-enabled
xorg-x11 srpm, which again I built with gcc-4.0.1-4 .
http://washington.kelkoo.net/epia/FC4/


Comment 12 Ricky Ng-Adam 2006-02-25 22:39:52 UTC
fc5 test3 (gdm-2.13.0.8-1) has still this problem.  The greeter crashes for me
after a few CTRL-ALT-BACKSPACE.


Comment 13 Ricky Ng-Adam 2007-04-28 17:54:36 UTC
Still occurs in fc7 test 4; after a few CTRL-ALT-BACKSPACE in a row I get this
popup:

"The greeter application appears to be crashing.  Attempting to use a different
one". 

Seems to be harmless (once you click OK, you get the login screen), but still...

Comment 14 Ricky Ng-Adam 2007-12-28 20:18:50 UTC
Still occurs in Fedora 8 (gdm-2.20.2-2.fc8). 

Pressing ok just pops up the same dialog over and over again.  To actually get
around it, you have to wait for ~1mn and then click ok.

Comment 15 Bug Zapper 2008-11-26 06:49:28 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2009-01-09 06:52:22 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.